Ubuntu

WARNING: at /build/buildd/linux-3.5.0/kernel/power/suspend_test.c:53 suspend_test_finish+0x86/0x90()

Reported by fenixk19 on 2012-10-31
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Trying to pm-suspend on last kernel fails: first it goes to suspend, then shows black screen (text mode) for a minute, and then resumes back. Appears on 3.5.0-18-generic kernel.
If i switch back to 3.2.0-32-generic, pm-suspend works ok.

Attaching dmesg output after running sudo sh -c "sync; echo 1 > /sys/power/pm_trace; pm-suspend"

It suspend ok on 3.8.0-rc6 mainline without nvidia driver loaded on remote access, because nvidia was not able to build on dkms with this kernel.

WORKAROUND: Use nouveau.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-18-generic 3.5.0-18.29
ProcVersionSignature: Ubuntu 3.5.0-18.29-generic 3.5.7
Uname: Linux 3.5.0-18-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.6.1-0ubuntu6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: fenixk19 5119 F.... pulseaudio
Date: Thu Nov 1 03:02:02 2012
HibernationDevice: RESUME=
IwConfig: Error: [Errno 2] Нет такого файла или каталога: 'iwconfig'
Lsusb:
 Bus 001 Device 002: ID 0409:0059 NEC Corp. HighSpeed Hub
 Bus 002 Device 002: ID 046d:c00e Logitech, Inc. M-BJ58/M-BJ69 Optical Wheel Mouse
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 004: ID 09da:054f A4 Tech Co., Ltd
MachineType: System manufacturer System Product Name
MarkForUpload: True
ProcEnviron:
 LANGUAGE=ru_RU:ru:en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=ru_RU.UTF-8
 SHELL=/usr/bin/fish
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-18-generic root=UUID=9f65a70f-a3e7-40dd-9c63-8f9e5b20b712 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-18-generic N/A
 linux-backports-modules-3.5.0-18-generic N/A
 linux-firmware 1.95
RfKill: Error: [Errno 2] Нет такого файла или каталога: 'rfkill'
SourcePackage: linux
UpgradeStatus: Upgraded to quantal on 2012-10-19 (12 days ago)
WpaSupplicantLog:

dmi.bios.date: 10/02/2008
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS M2N-SLI DELUXE ACPI BIOS Revision 1701
dmi.board.name: M2N-SLI DELUXE
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSM2N-SLIDELUXEACPIBIOSRevision1701:bd10/02/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2N-SLIDELUXE:rvr1.XX:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

fenixk19 (fenixk19) wrote :
Brad Figg (brad-figg) on 2012-10-31
Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: needs-upstream-testing regression-release

fenixk19, thank you for reporting this and helping make Ubuntu better. As per http://www.asus.com/ an upgrade is available for your BIOS (1804). If you upgrade to it, does this change anything?

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
fenixk19 (fenixk19) wrote :

No, bios update doesn't change anything.

fenixk19, thank you for upgrading your BIOS. Could you please provide the information following https://wiki.ubuntu.com/DebuggingKernelSuspend ?

fenixk19 (fenixk19) wrote :

Done on the same 3.5.0-18-generic

fenixk19 (fenixk19) wrote :

3.5.0-18-generic

fenixk19, thank you for providing the requested information.

Could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.7-rc1-quantal

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

Reinhard Berger (geist1) wrote :

All Kernels later then 3.2.x does no longer work correctly.
I have tried the latest 3.7-rc3 kernel too , but even this one fails.

Latest working kernel was the 3.2 series.

Tried all available firmares out for the motherboard but it doesnt make any difference.

Btw 3.7-rc doesn't run on this mainboard without disabling IDE support see https://bugzilla.kernel.org/process_bug.cgi

Reinhard Berger (geist1) wrote :

oops worng url. this is the correct one : https://bugzilla.kernel.org/show_bug.cgi?id=49151

fenixk19 (fenixk19) wrote :

I wasn't able to boot any new kernel i've picked. I've tried "current", 3.7-rc2 and 3.6.3. All of them just fails in the same way, before it can mount root fs, showing call stacks and such things.

tags: added: kernel-unable-to-test-upstream kernel-unable-to-test-upstream-3.7-rc2-quantal
removed: needs-upstream-testing
fenixk19 (fenixk19) wrote :

I was able to boot 3.5.7, but same problem persist here.

Reinhard Berger, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

summary: - Suspend doesn't work after dist-upgrade to Quantal 12.10
+ WARNING: at /build/buildd/linux-3.5.0/kernel/power/suspend_test.c:53
+ suspend_test_finish+0x86/0x90()

fenixk19, thank you for testing the mainline kernel. The next step is to perform a Ubuntu kernel bisect from 3.2.0-32-generic to
3.5.0-18-generic, in order to identify the last good Ubuntu kernel version, followed consecutively in version by the first bad one. As per https://launchpad.net/ubuntu/quantal/+source/linux we have:
 3.2.0-24.37
3.4.0-1.1
3.4.0-1.2
3.4.0-1.3
3.4.0-2.4
3.4.0-2.5
3.4.0-2.6
3.4.0-3.7
3.4.0-3.8
3.4.0-4.9
3.4.0-4.10
3.4.0-5.11
3.5.0-1.1
3.5.0-2.2
3.5.0-3.3
3.5.0-4.4
3.5.0-5.5
3.5.0-6.6
3.5.0-7.7
3.5.0-8.8
3.5.0-9.9
3.5.0-10.10
3.5.0-11.11
3.5.0-12.12
3.5.0-13.13
3.5.0-13.14
3.5.0-14.15
3.5.0-14.16
3.5.0-14.17
3.5.0-14.18
3.5.0-14.19
3.5.0-15.20
3.5.0-15.21
3.5.0-15.22
3.5.0-15.23
3.5.0-16.24
3.5.0-16.25
3.5.0-17.26
3.5.0-17.27
3.5.0-17.28
3.5.0-18.29

Hence, could you please test 3.5.0-8.8 via https://launchpad.net/ubuntu/+source/linux/3.5.0-8.8/+build/3702770 ?

Once this test is complete, could you please continue to bisect following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

Reinhard Berger (geist1) wrote :

Kernel 3.5.18 doesn't work as well.

Reinhard Berger (geist1) wrote :

For my testing it is needed to use the nvidia driver compiled to the kernel (310.14) for my gforce 8500 card, either with "nouveau" or svga driver used , suspend fails even with 3.2 kernels.

fenixk19 (fenixk19) wrote :

I wasn't able to suspend anything starting with 3.4.0-1.3.
3.4.0-1.1 and 3.4.0-1.2 wasn't tested.

Reinhard Berger, please stop posting to this report, as your posting here is inconsiderate of the original reporter of this report (fenixk19). If you have a problem in Ubuntu, please follow the direction already requested of you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1073749/comments/12 .

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: needs-bisect

fenixk19, thank you for testing the Ubuntu kernels. Consulting https://launchpad.net/ubuntu/precise/+source/linux , could you please test 3.2.0-33.52 via https://launchpad.net/~canonical-kernel-team/+archive/ppa/+build/3913424 ?

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
fenixk19 (fenixk19) wrote :

3.2.0-33.52 was able to correctly suspend my system.
There was a problem, to bring up back from suspend. Powering on showed black screen and 3 beeps from bios. Probably, there is some problems with videodrivers (which wasn't built for 3.2.0-33.52) and it is unrelated to this bug.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

fenixk19, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.8-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
fenixk19 (fenixk19) wrote :

It suspend ok on 3.8.0-rc6 mainline. But i've checked it without nvidia driver loaded on remote access, because nvidia was not able to build on dkms with this kernel.

tags: added: kernel-fixed-upstream kernel-fixed-upstream-3.8.0-rc6
removed: kernel-unable-to-test-upstream

fenixk19, thank you for testing the mainline kernel. Were you able to suspend in the kernel that came with Quantal if you uninstalled the nvidia driver?

fenixk19 (fenixk19) wrote :

I've tried to suspend ov 3.5... from save mode, without graphics started. The same result as with usual boot on this kernel.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
christian (chmathieu) wrote :

i think i have the same problem:

- kernel 3.2.0-38 (and before), suspend is ok
- since kernel 3.2.0-39 (and after), suspend no longer works

- motherboard MSI 845E Max / processor P4 / 2g ram

should I open a new bug or do additional tests ?

Download full text (8.2 KiB)

I just got the same WARNING with this kernel version:

Package: linux-image-3.5.0-27-generic
Version: 3.5.0-27.46

[238233.432148] PM: resume of drv:hub dev:7-0:1.0 complete after 118.971 msecs
[238233.432153] PM: resume of drv: dev:ep_00 complete after 118.944 msecs
[238233.432157] PM: resume of drv: dev:ep_81 complete after 118.965 msecs
[238233.432177] PM: resume of drv: dev:ep_00 complete after 119.114 msecs
[238233.432181] PM: resume of drv:hub dev:4-0:1.0 complete after 119.226 msecs
[238233.432182] PM: resume of drv:hub dev:5-0:1.0 complete after 119.153 msecs
[238233.432187] PM: resume of drv: dev:ep_00 complete after 119.197 msecs
[238233.432188] PM: resume of drv: dev:ep_81 complete after 119.142 msecs
[238233.432191] PM: resume of drv:hub dev:6-0:1.0 complete after 119.088 msecs
[238233.432195] PM: resume of drv: dev:ep_81 complete after 119.223 msecs
[238233.432197] PM: resume of drv: dev:ep_00 complete after 119.059 msecs
[238233.432203] PM: resume of drv: dev:ep_81 complete after 119.083 msecs
[238233.474245] PM: resume of drv:scsi dev:host0 complete after 165.381 msecs
[238233.474254] PM: resume of drv:scsi_host dev:host0 complete after 165.310 msecs
[238233.484451] PM: resume of drv:scsi dev:host1 complete after 175.503 msecs
[238233.484457] PM: resume of drv:scsi_host dev:host1 complete after 175.507 msecs
[238233.536046] PM: resume of drv:hub dev:3-0:1.0 complete after 223.158 msecs
[238233.536051] PM: resume of drv: dev:ep_00 complete after 223.136 msecs
[238233.536055] PM: resume of drv:usb dev:3-1 complete after 222.335 msecs
[238233.536061] PM: resume of drv: dev:ep_81 complete after 223.162 msecs
[238233.536095] PM: resume of drv: dev:ep_00 complete after 222.812 msecs
[238233.536099] PM: resume of drv:usb dev:8-1 complete after 222.114 msecs
[238233.536114] PM: resume of drv:hub dev:8-0:1.0 complete after 222.864 msecs
[238233.536119] PM: resume of drv: dev:ep_81 complete after 222.852 msecs
[238233.560055] PM: resume of drv: dev:ep_00 complete after 251.051 msecs
[238233.560080] PM: resume of drv:usb dev:1-5 complete after 246.779 msecs
[238233.560093] PM: resume of drv:hub dev:1-0:1.0 complete after 251.133 msecs
[238233.560101] PM: resume of drv: dev:ep_81 complete after 251.137 msecs
[238233.623279] PM: resume of drv:uvcvideo dev:1-5:1.0 complete after 309.960 msecs
[238233.623281] PM: resume of drv:uvcvideo dev:1-5:1.1 complete after 309.924 msecs
[238233.623285] PM: resume of drv: dev:ep_83 complete after 309.949 msecs
[238233.623286] PM: resume of drv: dev:ep_00 complete after 309.913 msecs
[238233.636056] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[238233.636519] ata3.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
[238233.636841] ata3.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
[238233.636922] ata3.00: configured for UDMA/133
[238233.640029] ata7: SATA link down (SStatus 0 SControl 300)
[238233.648048] ata8: SATA link down (SStatus 0 SControl 300)
[238233.652068] PM: resume of drv:scsi dev:host2 complete after 338.535 msecs
[238233.652077] PM: resume of drv:scsi_host dev:host2 complete after 338.531 msecs
[238233.652083] PM: resume of drv:scsi dev:target2:0:0 complet...

Read more...

There are many duplicates of this bug for old kernel versions. Since this bug is about the latest kernel in quantal I'm going to merge all old bugs into this one...

christian, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: removed: kernel-unable-to-test-upstream-3.7-rc2-quantal
tags: added: latest-bios-1804

fenixk19, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Thank you for your understanding.

description: updated
tags: added: needs-upstream-testing
removed: kernel-fixed-upstream kernel-fixed-upstream-3.8.0-rc6
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Reinhard Berger (geist1) wrote :

for me it is on latest 3.10 kernel too, i found this after a while : https://bugzilla.kernel.org/show_bug.cgi?id=48951

fenixk19 (fenixk19) wrote :

I've checked 29.05 daily. Issue remains.
I wasn't able to run apport-collect, because a minute after it came out of "suspend" system hang like there was some memory leak.

fenixk19, one may run the apport-collect before suspending.

description: updated

apport information

tags: added: apport-collected saucy
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

fenixk19, thank you for performing the apport-collect. As I was unable to confirm the version of the nvidia driver you were using from the apport-collect, when you tested suspend in Saucy, were you using the package nvidia-graphics-drivers-310-updates?

tags: added: needs-xorg-ppa-test
fenixk19 (fenixk19) wrote :

I've tested suspend in saucy with noveau, as i checked now.

fenixk19, so just to clarify, suspend failed in Saucy using nouveau, correct?

fenixk19 (fenixk19) wrote :

Yes, it is.
I didn't say using nouveau fixes problem. Suspend was ok on some mainline kernel, but i used nouveau with it, because dkms didn't build the correct driver.

fenixk19, thank you for your comments. When you filed this bug report initially, you were using the nvidia drivers. Presuming you want to use the nvidia drivers instead of nouveau, it would be best to have this bug report focus on testing successes/fails with the nvidia drivers. Otherwise this report would be unwieldly and not maintainable. However, knowing that nouveau provides a WORKAROUND would be just fine, with the focus of this report being not to address bugs in nouveau.

With this in mind, could you please retest for this problem in Saucy, but this time use the nvidia drivers?

tags: removed: apport-collected saucy
description: updated
fenixk19 (fenixk19) wrote :

I cannot do it from liveusb, without installing new ubuntu on drive, right?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.